Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ExtrinsicObjectType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ExtrinsicObjectTypeImpl

    public interface ExtrinsicObjectType

extends RegistryObjectType

A representation of the model object 'Extrinsic Object Type'. ExtrinsicObject is the mapping of the same named interface in ebRIM. It extends RegistryObject.

The following features are supported:

- `Content Version Info`
- `Is Opaque`
- `Mime Type`

See Also:
  `RimPackage.getExtrinsicObjectType()`

Method Summary
`VersionInfoType` | `getContentVersionInfo()` Returns the value of the 'Content Version Info' containment reference.
`java.lang.String` | `getMimeType()` Returns the value of the 'Mime Type' attribute.
`boolean` | `isIsOpaque()` Returns the value of the 'Is Opaque' attribute.
`boolean` | `isSetIsOpaque()` Returns whether the value of the '`Is Opaque`' attribute is set.
`boolean` | `isSetMimeType()` Returns whether the value of the '`Mime Type`' attribute is set.
`void` | `setContentVersionInfo(VersionInfoType value)` Sets the value of the '`Content Version Info`' containment reference.
`void` | `setIsOpaque(boolean value)` Sets the value of the '`Is Opaque`' attribute.
`void` | `setMimeType(java.lang.String value)` Sets the value of the '`Mime Type`' attribute.
`void` | `unsetIsOpaque()` Unsets the value of the '`Is Opaque`' attribute.
`void` | `unsetMimeType()` Unsets the value of the '`Mime Type`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContentVersionInfo

    VersionInfoType getContentVersionInfo()

  Returns the value of the 'Content Version Info' containment reference.

  If the meaning of the 'Content Version Info' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Version Info' containment reference.
  See Also:
    `setContentVersionInfo(VersionInfoType)`, `RimPackage.getExtrinsicObjectType_ContentVersionInfo()`

### setContentVersionInfo

    void setContentVersionInfo(VersionInfoType value)

  Sets the value of the '`Content Version Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Content Version Info' containment reference.
  See Also:
    `getContentVersionInfo()`

### isIsOpaque

    boolean isIsOpaque()

  Returns the value of the 'Is Opaque' attribute. The default value is `"false"`.

  If the meaning of the 'Is Opaque' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Opaque' attribute.
  See Also:
    `isSetIsOpaque()`, `unsetIsOpaque()`, `setIsOpaque(boolean)`, `RimPackage.getExtrinsicObjectType_IsOpaque()`

### setIsOpaque

    void setIsOpaque(boolean value)

  Sets the value of the '`Is Opaque`' attribute.

  Parameters:
    `value` - the new value of the 'Is Opaque' attribute.
  See Also:
    `isSetIsOpaque()`, `unsetIsOpaque()`, `isIsOpaque()`

### unsetIsOpaque

    void unsetIsOpaque()

  Unsets the value of the '`Is Opaque`' attribute.

  See Also:
    `isSetIsOpaque()`, `isIsOpaque()`, `setIsOpaque(boolean)`

### isSetIsOpaque

    boolean isSetIsOpaque()

  Returns whether the value of the '`Is Opaque`' attribute is set.

  Returns:
    whether the value of the 'Is Opaque' attribute is set.
  See Also:
    `unsetIsOpaque()`, `isIsOpaque()`, `setIsOpaque(boolean)`

### getMimeType

    java.lang.String getMimeType()

  Returns the value of the 'Mime Type' attribute. The default value is `"application/octet-stream"`.

  If the meaning of the 'Mime Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mime Type' attribute.
  See Also:
    `isSetMimeType()`, `unsetMimeType()`, `setMimeType(String)`, `RimPackage.getExtrinsicObjectType_MimeType()`

### setMimeType

    void setMimeType(java.lang.String value)

  Sets the value of the '`Mime Type`' attribute.

  Parameters:
    `value` - the new value of the 'Mime Type' attribute.
  See Also:
    `isSetMimeType()`, `unsetMimeType()`, `getMimeType()`

### unsetMimeType

    void unsetMimeType()

  Unsets the value of the '`Mime Type`' attribute.

  See Also:
    `isSetMimeType()`, `getMimeType()`, `setMimeType(String)`

### isSetMimeType

    boolean isSetMimeType()

  Returns whether the value of the '`Mime Type`' attribute is set.

  Returns:
    whether the value of the 'Mime Type' attribute is set.
  See Also:
    `unsetMimeType()`, `getMimeType()`, `setMimeType(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD